appender.h File Reference
`#include <log4cplus/config.hxx>`
`#include <log4cplus/layout.h>`
`#include <log4cplus/loglevel.h>`
`#include <log4cplus/tstring.h>`
`#include <log4cplus/helpers/pointer.h>`
`#include <log4cplus/spi/filter.h>`
`#include <log4cplus/helpers/lockfile.h>`
`#include <memory>`
`#include <mutex>`
`#include <atomic>`
`#include <condition_variable>`
Include dependency graph for appender.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | log4cplus::ErrorHandler
| This class is used to "handle" errors encountered in an `log4cplus::Appender`. More...
class | log4cplus::OnlyOnceErrorHandler
class | log4cplus::Appender
| Extend this class for implementing your own strategies for printing log statements. More...

## Namespaces

namespace | log4cplus
namespace | log4cplus::helpers

## Typedefs

typedef helpers::SharedObjectPtr< Appender > | log4cplus::SharedAppenderPtr
| This is a pointer to an Appender.